SPRAI(1)

NAME
SPRAI - single-pass nucleotide sequencing read accuracy improvement

SYNOPSIS
ezez_vx1 ec.spec {asm.spec | -ec_only} [options]
ezez4qsub_vx1 ec.spec {asm.spec | -ec_only} [options]
ezez4makefile_v4.pl ec.spec [asm.spec] && make -jnproc [ec_only]

DESCRIPTION
Sprai is a tool to correct sequencing errors in single-pass reads for de novo assembly. It is originally designed for correcting sequencing errors in single-molecule DNA sequencing reads, especially in Continuous Long Reads (CLRs) generated by PacBio RS sequencers. The goal of Sprai is not maximizing the accuracy of error-corrected reads. Instead, Sprai aims at maximizing the continuity (i.e., N50 contig length) of assembled contigs after error correction.

OPTIONS

-n  Show parameters in ec.spec and exit.

-ec_only
    Perform error correction only. With this option, asm.spec does not need to be passed in, as assembly is not performed.

-now yyyymmdd_hhmmss
    Use an existing result_yyyymmdd_hhmmss directory from a previous run, detect unfinished jobs, and restart at the appropriate stage.

SEE ALSO
bash5tools(1)
This program is part of sprai. See the sprai package documentation in /usr/share/doc/sprai, especially the example ec and pbasm spec files in /usr/share/doc/sprai/examples